## Apache Zeta Components Manual :: Docs For Class ezcGraphSvgDriverOptions

### Graph::ezcGraphSvgDriverOptions

### Class ezcGraphSvgDriverOptions

Class containing the extended options for the SVG driver.

1. $graph=new ezcGraphPieChart ();
2. $graph->background->color='#FFFFFFFF';
3. $graph->title='Access statistics';
4. $graph->legend=false;
6. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
7. 'Mozilla'=>19113,
8. 'Explorer'=>10917,
9. 'Opera'=>1464,
10. 'Safari'=>652,
11. 'Konqueror'=>474,
12. ) );
14. $graph->driver->options->templateDocument=dirname (__FILE__).'/template.svg';
15. $graph->driver->options->graphOffset=new ezcGraphCoordinate (25,40);
16. $graph->driver->options->insertIntoGroup='ezcGraph';
18. $graph->render(400,200,'tutorial_driver_svg.svg');

Source for this file: /Graph/src/options/svg_driver.php

    ezcBaseOptions
       |
       --ezcGraphDriverOptions
          |
          --ezcGraphSvgDriverOptions

Version: | //autogentag//

### Properties

float | read/write | `$assumedNumericCharacterWidth` Assumed percentual average width of chars in numeric strings with the used font.
float | read/write | `$assumedTextCharacterWidth` Assumed percentual average width of chars in non numeric strings with the used font.
string | read/write | `$colorRendering` "The creator of SVG content might want to provide a hint to the implementation about how to make speed vs. quality tradeoffs as it performs color interpolation and compositing. The 'color-rendering' property provides a hint to the SVG user agent about how to optimize its color interpolation and compositing operations."
string | read/write | `$encoding` Encoding of the SVG XML document
ezcGraphCoordinate | read/write | `$graphOffset` Offset of the graph in the svg.
string | read/write | `$idPrefix` Prefix used for the ids in SVG documents.
mixed | read/write | `$insertIntoGroup` ID of a SVG group node to insert the graph. Only works with a custom template document.
string | read/write | `$linkCursor` CSS value for cursor property used for linked SVG elements
string | read/write | `$shapeRendering` "The creator of SVG content might want to provide a hint to the implementation about what tradeoffs to make as it renders vector graphics elements such as 'path' elements and basic shapes such as circles and rectangles."
string | read/write | `$strokeLineCap` This specifies the shape to be used at the end of open subpaths when they are stroked.
string | read/write | `$strokeLineJoin` This specifies the shape to be used at the edges of paths.
mixed | read/write | `$templateDocument` Use existing SVG document as template to insert graph into. If insertIntoGroup is not set, a new group will be inserted in the svg root node.
string | read/write | `$textRendering` "The creator of SVG content might want to provide a hint to the implementation about what tradeoffs to make as it renders text."

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Inherited Methods

From ezcGraphDriverOptions
public void | `ezcGraphDriverOptions::__set()` Set an option value
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3